TaggedRequest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class TaggedRequest

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.TaggedRequest

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class TaggedRequest
      extends ASN1Object
      implements ASN1Choice

             TaggedRequest ::= CHOICE {
                   tcr               [0] TaggedCertificationRequest,
                   crm               [1] CertReqMsg,
                   orm               [2] SEQUENCE {
                   bodyPartID            BodyPartID,
                   requestMessageType    OBJECT IDENTIFIER,
                   requestMessageValue   ANY DEFINED BY requestMessageType
            }
        }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CRM`
    `static int` | `ORM`
    `static int` | `TCR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaggedRequest(CertReqMsg crm)`
    `TaggedRequest(TaggedCertificationRequest tcr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaggedRequest` | `getInstance(java.lang.Object obj)`
    `int` | `getTagNo()`
    `ASN1Encodable` | `getValue()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TCR

          public static final int TCR

      See Also:
        Constant Field Values

    - #### CRM

          public static final int CRM

      See Also:
        Constant Field Values

    - #### ORM

          public static final int ORM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaggedRequest

          public TaggedRequest(TaggedCertificationRequest tcr)

    - #### TaggedRequest

          public TaggedRequest(CertReqMsg crm)

  - ### Method Detail

    - #### getInstance

          public static TaggedRequest getInstance(java.lang.Object obj)

    - #### getTagNo

          public int getTagNo()

    - #### getValue

          public ASN1Encodable getValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.